Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.view.nonvis
Class StandardOutView

    java.lang.Object
      org.ascape.model.event.DefaultScapeListener
          org.ascape.view.nonvis.NonGraphicView
              org.ascape.view.nonvis.DataView
                  org.ascape.view.nonvis.ConsoleOutView
                      org.ascape.view.nonvis.StandardOutView

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.EventListener, ScapeListener, HasName

Deprecated. please replace with ConsoleOutView

    public class StandardOutView

extends ConsoleOutView

Extends Console Out View for backward compatability.

Author:
  milesparker
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.view.nonvis.ConsoleOutView
`EOL`

Fields inherited from class org.ascape.view.nonvis.DataView
`dataSelection`

Fields inherited from class org.ascape.model.event.DefaultScapeListener
`listeningToScape, name, scape`

Constructor Summary
`StandardOutView()` Deprecated.

Method Summary

Methods inherited from class org.ascape.view.nonvis.ConsoleOutView
`isPrintResultsEachPeriod, print, println, println, resultsDescription, scapeIterated, scapeStarted, scapeStopped, setIMessageStream, setPrintResultsEachPeriod, setSystemStream, settingsDescription, stopDescription`

Methods inherited from class org.ascape.view.nonvis.DataView
`getDataSelection, scapeAdded`

Methods inherited from class org.ascape.view.nonvis.NonGraphicView
`isGraphic`

Methods inherited from class org.ascape.model.event.DefaultScapeListener
`clone, environmentQuiting, getName, getScape, isLifeOfScape, isNotifyScapeAutomatically, notifyScapeUpdated, scapeClosing, scapeDeserialized, scapeInitialized, scapeNotification, scapeRemoved, scapeSetup, setName, setNotifyScapeAutomatically, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StandardOutView

    public StandardOutView()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD